Nagły błąd wordpressa a dokładnie wtyczki fluency admin


(Mateusz Smoter) #1

Cześć

Mam następujący problem, wczoraj zaglądałem na swojego bloga i wszystko było ok, gdy zajrzałem później zobaczyłem tylko błąd:

Parse error: syntax error, unexpected T_STATIC, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /homepages/11/d342647636/htdocs/wp-content/plugins/fluency-admin/wp-fluency-2.php on line 23

Nie pamiętam abym coś aktualizował tego dnia. Po całkowitym wywaleniu folderu wtyczki fluency-admin mam błąd w stylu "500 internal server error" (czy jakoś tak) linia 23 w pliku wp-fluency-2.php wygląda tak:

static $instance;

Domenę hostinguje mi 1and1, wersja wordpressa to 3.1.1 (aktualizacja do 3.1.2 nie pomogła, podobnie jak ponowna instalacja wtyczki, również jej starszych wersji - ponownie pojawiał się błąd w lini 23 pliku wp-fluency-2.php)

Ktoś mógłby pomóc ?


(Pawel Pieczyrak) #2

Wtyczka jest zgodna z tą wersją wordpressa ? Nie ma ona jakiś dodatkowych wymagań, typu php w nowszej wersji, to samo tyczy się MySQL ?

Błąd 500 informuje o tym, że nastąpił wewnętrzny błąd serwera. Zapytaj się adminów, czy ostatnio coś grzebali.

Podaj jeszcze jak wygląda owa linia 23 w tym pliku php.


(Mateusz Smoter) #3

Nie wiem czy wtyczka jest zgodna, ale wszystko działało, gdyby była nie zgodna to zapewne błąd pojawiłby się tuż po aktualizacji, a ja tego dnia nic nie aktualizowałem. Wysłałem maila do adminów, treść tej lini podałem w pierwszym poście.